Sky's blog

我和我追逐的梦

常用链接

统计

其他链接

友情链接

最新评论

05 2012 档案

解决Jetty下EL版本冲突的问题
     摘要: 今天用jetty做嵌入式web container,来做web项目的integration test,结果发现出现在渲染使用EL表达式的jsp页面时出现异常:

javax.el.ExpressionFactory.newInstance()Ljavax/el/ExpressionFactory;

检查了一下,发现javax.el.ExpressionFactory.newInstance()这个方法是EL2.2版本之后才有的方法,而在EL2.1之中是没有这个方法的,问题很明显:org.apache.jasper中试图调用2.2版本的EL,当时提供的EL的版本是2.1版本,所以解决的方式无非就是两个,要不降低org.apache.jasper的版本,要不提升el的版本。考虑到现在使用的jetty已经是最新的版本8.1.2.v20120308,因此提升EL的版本为2.2更为合适。  阅读全文

posted @ 2012-05-25 07:11 sky ao 阅读(9924) | 评论 (2)  编辑